package com.zhentao.controller;

import com.zhentao.dto.OrderAddDto;
import com.zhentao.dto.VerifyDto;
import com.zhentao.tool.VerifyUtil;
import com.zhentao.vo.Result;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RestController;

import java.security.NoSuchAlgorithmException;
import java.util.ArrayList;
import java.util.List;

@RestController
public class GoodsController {

    //写一个接口参数传（dto类中写参数）post方式，添加一个商品到数据库中
    //创建Post接口传dto类参数goodsId，sign,（header参数reqId,reqTime时间戳long类型appId），ascii排序key=value&key=value......+key，md5加密,
    // 验签返回一个商品名字（返回类型为ResultVo含code,msg,data属性），
    // 如果失败返回1002失败，成功为200返回成功，内容返回可以写一个死对象。appSecretkey为123（不参与参数传输）
    @PostMapping("addOrder")
    public Result addOrder(@RequestBody OrderAddDto orderAddDto, @RequestHeader("reqId") String reqId,@RequestHeader("appId") String appId) throws NoSuchAlgorithmException {
        VerifyDto verifyDto=new VerifyDto();
        verifyDto.setReqTime(orderAddDto.getReqTime());
        verifyDto.setGoodsId(orderAddDto.getGoodsId());
        verifyDto.setSign(orderAddDto.getSign());
        verifyDto.setAppId(appId);
        verifyDto.setReqId(reqId);
        verifyDto.setAppSecret("123");
        Boolean verify = VerifyUtil.verify(verifyDto);
        if(!verify){
            return Result.Err(null,"签名验证失败");
        }
        List list=new ArrayList();
        list.add("棒棒糖");
        return Result.OK(list,"签名成功");
    }


}
