package com.zhentao.task;

import cn.hutool.core.util.IdUtil;
import com.zhentao.dto.KafkaDto;
import com.zhentao.tool.VerifyUtil;
import com.zhentao.util.OrderNumberGenerator;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.kafka.annotation.KafkaListeners;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
@EnableScheduling
@Slf4j
public class KafkaTask {

    @Autowired
    private KafkaTemplate<String,String> kafkaTemplate;

    @Scheduled(cron = "0 * * * * *")
    public void test1(){
        KafkaDto kafkaDto=new KafkaDto();
        long l = IdUtil.getSnowflake(1, 1).nextId();
        kafkaDto.setMsgId(l+"");
        kafkaDto.setMsgType("String");
        kafkaDto.setContent("确认已消费");
        kafkaTemplate.send("topic",kafkaDto.toString());
    }

    @KafkaListener(topics = "topic",groupId = "sms_group")
    public void test2(String name){
        System.err.println("消费者的信息："+name);
    }

    @Test
    public void test3(){
        String s = OrderNumberGenerator.generateOrderNumber();
        System.err.println("订单号："+s);
    }

}
